# p.g.l.LMRStyle : class documentation

Part of planes.gui.lmr View In Hierarchy

    This class encapsulates the left, mid and right images to be used as widget background, as well as the text color.

    Attributes:

    LMRStyle.left_img
        A Pygame Surface, holding the left edge of the background image.

    LMRStyle.mid_img
        A Pygame Surface, holding the middle part of the background image.
        A widget might repeat this image to fit the desired width.

    LMRStyle.right_img
        A Pygame Surface, holding the right edge of the background image.

    LMRStyle.text_color
        An (R, G, B) color tuple, holding the color of text written on LMR
        widgets.

Method | __init__ | `Initialise. left_img, mid_img and right_img are the respective image file names.`

def __init__(self, left_img, mid_img, right_img, text_color):

    Initialise.
    left_img, mid_img and right_img are the respective image file names.